POST api/v1/developer_projects/bulk/change_state
Request Information
URI Parameters
None.
Body Parameters
ChangeState| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| user_id | globally unique identifier |
None. |
|
| state_id | integer |
None. |
|
| parent | CodeList |
None. |
|
| send_notifications | boolean |
None. |
|
| message | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"6eed6cf2-3cb8-49d7-9178-e97bb56a17bb",
"5fb5f6e4-4a1c-4514-a463-0aebe224d87a"
],
"user_id": "abb16ca4-9a8f-40e6-a383-110c1953f390",
"state_id": 1,
"parent": {
"id": "714358d3-af25-45cc-8c53-7650f5634759",
"name": "sample string 2",
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "53305d34-7daf-4425-a7e9-3d7eaa6fd980",
"image_id": "349a2786-6bac-42ab-ac06-6d9cd1578368",
"id_user_work_position": "01b49801-496f-4fe3-925f-1b774f915844",
"id_shift": "654817c8-0e52-403f-b4bb-51d4ba45655f",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:12:39Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "53305d34-7daf-4425-a7e9-3d7eaa6fd980",
"image_id": "349a2786-6bac-42ab-ac06-6d9cd1578368",
"id_user_work_position": "01b49801-496f-4fe3-925f-1b774f915844",
"id_shift": "654817c8-0e52-403f-b4bb-51d4ba45655f",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:12:39Z"
}
}
},
"send_notifications": true,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<ChangeState xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>6eed6cf2-3cb8-49d7-9178-e97bb56a17bb</d2p1:guid>
<d2p1:guid>5fb5f6e4-4a1c-4514-a463-0aebe224d87a</d2p1:guid>
</ids>
<message>sample string 2</message>
<parent>
<deleted>true</deleted>
<id>714358d3-af25-45cc-8c53-7650f5634759</id>
<name>sample string 2</name>
<system_information>
<creation>
<date>2026-03-21T22:12:39.9925733+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>53305d34-7daf-4425-a7e9-3d7eaa6fd980</id>
<id_shift>654817c8-0e52-403f-b4bb-51d4ba45655f</id_shift>
<id_user_work_position>01b49801-496f-4fe3-925f-1b774f915844</id_user_work_position>
<image_id>349a2786-6bac-42ab-ac06-6d9cd1578368</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-03-21T22:12:39.9925733+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>53305d34-7daf-4425-a7e9-3d7eaa6fd980</id>
<id_shift>654817c8-0e52-403f-b4bb-51d4ba45655f</id_shift>
<id_user_work_position>01b49801-496f-4fe3-925f-1b774f915844</id_user_work_position>
<image_id>349a2786-6bac-42ab-ac06-6d9cd1578368</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</parent>
<send_notifications>true</send_notifications>
<state_id>1</state_id>
<user_id>abb16ca4-9a8f-40e6-a383-110c1953f390</user_id>
</ChangeState>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>